Benutzeravatar
VoltaireAutomat
Neuling

Beiträge:7
Registriert:28. Jan 2018

Ambilight auf LibreElec 9 / Kodi 18

9. Feb 2019, 22:33

Hallo,

eben habe ich auf die neue Version von LibreElec / Kodi umgestellt, und leider funktioniert jetzt das Ambilight nicht mehr.
In den Favoriten habe ich die drei Skripte "Ambilight für Kodi aktivieren", "Ambilight für externe Geräte aktivieren", sowie "Ambilight ausschalten". Wenn ich diese allerdings anwähle, passiert nichts. Es erscheint auch keine Bildschirmnachricht.

Kann jemand das Problem nachvollziehen?

Danke und Grüße
VA

VoltaireAutomat
Neuling

Beiträge:7
Registriert:28. Jan 2018

Ambilight auf LibreElec 9 / Kodi 18

9. Feb 2019, 22:39

Ergänzung: Ich hab eines der Skripte von Hand ausgeführt und diese Meldung erhalten (die ich nicht verstehe):

LibreELEC:~/.kodi/userdata # bash hyperion_kodi_aktivieren.sh
killall: hyperiond: no process killed
Sending: {'content': 'Notification(Hyperion Info,Ambilight f\xc3\xbcr Kodi aktiv iert,7000,http://powerpi.de/wp-content/uploads/powerpi/powerpi_ambi_thumb_kodi.j pg)', 'type': 'action'}
Traceback (most recent call last):
File "/usr/bin/kodi-send", line 103, in <module>
main()
File "/usr/bin/kodi-send", line 94, in main
packet = PacketACTION(actionmessage=action['content'], actiontype=ACTION_BUT TON)
File "/usr/lib/python2.7/site-packages/kodi/xbmcclient.py", line 465, in __ini t__
self.append_payload( format_string(actionmessage) )
File "/usr/lib/python2.7/site-packages/kodi/xbmcclient.py", line 104, in forma t_string
return msg.encode() + b"\0"
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 38: ordinal not in range(128)
Hyperion Ambilight Deamon (672)
Version : V1.03.4 (brindosch-c750c41/dc6a602-1522918225
Build Time: Apr 5 2018 01:57:25
ERROR: No valid config found

lence
Neuling

Beiträge:12
Registriert:20. Apr 2016

Ambilight auf LibreElec 9 / Kodi 18

10. Feb 2019, 12:54

Ich habe das selbe Problem. Es scheint als würde kodi der Treiber für den USB grabber fehlen. Wenn man in der config Datei die Zeilen für den externen grabber auskommentiert, funktioniert es wenigstens intern.

VoltaireAutomat
Neuling

Beiträge:7
Registriert:28. Jan 2018

Ambilight auf LibreElec 9 / Kodi 18

10. Feb 2019, 15:59

Habe es jetzt auf anderem Wege probiert und komme der Sache naher, es scheint banaler zu sein:
Statt Libre oder Openelec habe ich Raspian Stretch Lite als OS verwendet, und Kodi sowie Hyperion installiert. Die alten Configfiles habe ich einfach kopiert.
Je nachdem welche Variante ich als hyperion.config.json verwende (also als Standard) funktioniert auch. Lediglich die Skripte zum Umschalten funktionieren nicht. Aber davon habe ich momentan noch überhaupt keine Ahnung, da muss ich mich mal einlesen. Vielleicht hat ja auch noch jemand einen Tipp oder eine Vorlage zum abändern der Skripte (z.B. hyperion_grabber_aktivieren.sh). Mal sehen, vielleicht muss man nur Pfade anpassen....

Viel Erfolg und Grüße
VA

VoltaireAutomat
Neuling

Beiträge:7
Registriert:28. Jan 2018

Ambilight auf LibreElec 9 / Kodi 18

10. Feb 2019, 22:34

Update:
Ich musste die Skripte erst mit

Code: Alles auswählen

sudo chmod -x 'skriptname'.sh
ausführbar machen, dann den Pfad in den Favourites anpassen, dann konnte ich die Skripte zumindest wieder ausführen. Die Pfade darin sind allerdings falsch, und sprechen beim Wechseln ein Skript names "hyperiond.sh" an, welches nicht mehr exisitiert. Liegt das vielleicht an einer neuen Hyperion-Version?

Zurück zu „Ambilight - Support“